"use strict";

({fun: (function() {
const browser = window.killtheweb.browser;


/**
 * This file is part of Haketilo.
 *
 * Function: Message server.
 *
 * Copyright (C) 2021 Wojtek Kosior
 * Redistribution terms are gathered in the `copyright' file.
 */

/*
 * IMPORTS_START
 * IMPORT browser
 * IMPORTS_END
 */

var listeners = {};

/* magic should be one of the constants from /common/connection_types.js */

function listen_for_connection(magic, cb)
{
    listeners[magic] = cb;
}

function raw_listen(port)
{
    if (listeners[port.name] === undefined)
	return;

    listeners[port.name](port);
}

browser.runtime.onConnect.addListener(raw_listen);

/*
 * EXPORTS_START
 * EXPORT listen_for_connection
 * EXPORTS_END
 */


window.killtheweb.listen_for_connection = listen_for_connection;
})}).fun();
