"use strict";

({fun: (function() {


/**
 * This file is part of Haketilo.
 *
 * Function: Define an "enum" of message connection types.
 *
 * Copyright (C) 2021 Wojtek Kosior
 * Redistribution terms are gathered in the `copyright' file.
 */

/*
 * Those need to be strings so they can be used as 'name' parameter
 * to browser.runtime.connect()
 */

const CONNECTION_TYPE = {
    REMOTE_STORAGE : "0",
    PAGE_ACTIONS : "1",
    ACTIVITY_INFO : "2"
};

/*
 * EXPORTS_START
 * EXPORT CONNECTION_TYPE
 * EXPORTS_END
 */


window.killtheweb.CONNECTION_TYPE = CONNECTION_TYPE;
})}).fun();
